Package org.apache.sling.distribution.queue

## Enum DistributionQueueType

- java.lang.Object
- - java.lang.Enum<DistributionQueueType>
  - - org.apache.sling.distribution.queue.DistributionQueueType

All Implemented Interfaces:
  `Serializable`, `Comparable<DistributionQueueType>`

    public enum DistributionQueueType
    extends Enum<DistributionQueueType>

the type of `DistributionQueue`

### Enum Constant Summary

Enum Constants
`ORDERED` ordered queue type (items get processed FIFO)
`PARALLEL` parallel queue type (items get processed independently from one another, regardless of their order in the queue)

### Method Summary

All Methods Static Methods Concrete Methods
`static DistributionQueueType` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static DistributionQueueType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### ORDERED

    public static final DistributionQueueType ORDERED

ordered queue type (items get processed FIFO)

#### PARALLEL

    public static final DistributionQueueType PARALLEL

parallel queue type (items get processed independently from one another, regardless of their order in the queue)

### Method Detail

#### values

    public static DistributionQueueType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (DistributionQueueType c : DistributionQueueType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static DistributionQueueType valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null